Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80302 - SRPMS: install failed due to missing 'Changes' file
Summary: SRPMS: install failed due to missing 'Changes' file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nasm
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Richard Henderson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-24 09:29 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-31 12:24:01 UTC


Attachments (Terms of Use)
Patch for .spec which removes 'Changes' from %doc list (deleted)
2002-12-24 09:31 UTC, Sysoltsev Slawa
no flags Details | Diff

Description Sysoltsev Slawa 2002-12-24 09:29:51 UTC
Description of problem:
Trying to build & install nasm form sources I've got such error:

Executing(%doc): /bin/sh -
e /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/rpm-tmp.14471
+ umask 022
+ cd /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/BUILD
+ cd nasm-0.98.34
+ DOCDIR=/netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/nasm-0.98.34-
root/usr/share/doc/nasm-0.98.34
+ export DOCDIR
+ rm -rf /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/nasm-0.98.34-
root/usr/share/doc/nasm-0.98.34
+ /bin/mkdir -p /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/nasm-0.98.34-
root/usr/share/doc/nasm-0.98.34
+ cp -pr AUTHORS Changes README 
TODO /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/nasm-0.98.34-
root/usr/share/doc/nasm-0.98.
34
cp: cannot stat `Changes': No such file or directory
error: Bad exit status 
from /netbatch/TC32304/rh80_ia32_I/default/WORK_DIR/tmp/rpm-tmp.14471 (%doc)

I haven't found 'Changes' file in package - seems you've missed it during 
packaging.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb nasm.spec 

    
Actual results:
Installation error

Expected results:
Succesfully built & installed package

Additional info:

Comment 1 Sysoltsev Slawa 2002-12-24 09:31:30 UTC
Created attachment 88882 [details]
Patch for .spec which removes 'Changes' from %doc list

Comment 2 Brian Brock 2003-10-13 22:04:12 UTC
The filename was changed to 'CHANGES' in nasm-0.98.35-3 (released in Red Hat
Linux 9), and now nasm builds without the error.

Comment 3 Jindrich Novy 2005-03-31 12:24:01 UTC
Sysoltsev, this is now fixed in the current nasm release. Thanks.


Note You need to log in before you can comment on or make changes to this bug.